Bug Hunting Session
Bug 97739 - OpenGL: dissapear field controls in dialogue Format-Page, tab Page (Calc)
Summary: OpenGL: dissapear field controls in dialogue Format-Page, tab Page (Calc)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.2 target:5.2.0 target:5.1.1
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2016-02-11 09:45 UTC by Roman Kuznetsov
Modified: 2016-10-25 19:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Dissapears field control (168.12 KB, image/png)
2016-02-11 09:45 UTC, Roman Kuznetsov
Details
opengl_device.log_amd_7750 (317 bytes, text/plain)
2016-02-11 18:56 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2016-02-11 09:45:14 UTC
Created attachment 122525 [details]
Dissapears field control

subj. see image from attach. Overhead OpenGL render is active, below - is not active.
Comment 1 Michael Meeks 2016-02-11 18:05:05 UTC
I can reproduce buy only by forcing GL on on my old Intel HD3000 - which -should- be black-listed =)

Can you find in your user-profile's cache directory an opengl_device.log and attach that file here ?

Can you confirm that OpenGL is enabled by default ?

Suspected duplicate of bug#96546. Thanks !
Comment 2 Michael Meeks 2016-02-11 18:10:27 UTC
Oooh - in fact this happens on my AMD/Windows machine but not my AMD/Linux machine - interesting; thanks for the report !
Comment 3 Roman Kuznetsov 2016-02-11 18:56:55 UTC
Created attachment 122547 [details]
opengl_device.log_amd_7750

on home computer this bug also reproduced (Win 7 HB x86-64). opengl_device.log also from a home computer.

on work with Intel HD4000 bug repro (Win 7 pro x86).
Comment 4 Michael Meeks 2016-02-15 12:06:06 UTC
Interesting export SAL_WITHOUT_WIDGET_CACHE=1 doesn't affect it either =) fun ...
Comment 5 Commit Notification 2016-02-15 16:06:26 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=639aaa2fe5dfc2cb2739c6f833f3208ebf8dd710

tdf#97739 - ensure we have a valid rectangle for spin-button controls.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Meeks 2016-02-15 16:10:13 UTC
Thanks for reporting; a long standing silly in the native control logic =)
Comment 7 Roman Kuznetsov 2016-02-15 16:40:59 UTC
(In reply to Commit Notification from comment #5)
> Michael Meeks committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=639aaa2fe5dfc2cb2739c6f833f3208ebf8dd710
> 
> tdf#97739 - ensure we have a valid rectangle for spin-button controls.
> 
> It will be available in 5.2.0.

Hi, Michael . will a fixing in 5.1.1. Thx
Comment 8 Commit Notification 2016-02-16 10:35:17 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c1ba528722d859bca290c83dc583bb6b8c66099&h=libreoffice-5-1

tdf#97739 - ensure we have a valid rectangle for spin-button controls.

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-02-16 12:30:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e6d255420a7fb00ed1050e0e96768eea57a92bc4

Related: tdf#97739 fix gtk3 spinbuttons for recent control region changes

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-02-16 13:15:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e84f75d538772ecb297fe07d241d78894a98bd49&h=libreoffice-5-1

Related: tdf#97739 fix gtk3 spinbuttons for recent control region changes

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-02-29 23:19:58 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-1-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b994e8a2aae0807294a27f5136feca6c67baff7b&h=libreoffice-5-1-1

tdf#97739 - ensure we have a valid rectangle for spin-button controls.

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.